package com.gyee.table.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author gfhd
 * @since 2023-01-11
 */
@TableName("table_header")
public class TableHeader implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "tid", type = IdType.AUTO)
    private Integer tid;

    private String name;

    private Long id;

    private String type;

    private String label;

    private Short width;

    private Short minwidth;

    private String prop;

    private String align;

    private Boolean showoverflowtooltip;

    private Boolean sortable;

    private String operations;

    private String children;

    private Boolean showfilters;

    private String filterstype;

    private String filters;

    public Integer getTid() {
        return tid;
    }

    public void setTid(Integer tid) {
        this.tid = tid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public Short getWidth() {
        return width;
    }

    public void setWidth(Short width) {
        this.width = width;
    }

    public Short getMinwidth() {
        return minwidth;
    }

    public void setMinwidth(Short minwidth) {
        this.minwidth = minwidth;
    }

    public String getProp() {
        return prop;
    }

    public void setProp(String prop) {
        this.prop = prop;
    }

    public String getAlign() {
        return align;
    }

    public void setAlign(String align) {
        this.align = align;
    }

    public Boolean getShowoverflowtooltip() {
        return showoverflowtooltip;
    }

    public void setShowoverflowtooltip(Boolean showoverflowtooltip) {
        this.showoverflowtooltip = showoverflowtooltip;
    }

    public Boolean getSortable() {
        return sortable;
    }

    public void setSortable(Boolean sortable) {
        this.sortable = sortable;
    }

    public String getOperations() {
        return operations;
    }

    public void setOperations(String operations) {
        this.operations = operations;
    }

    public String getChildren() {
        return children;
    }

    public void setChildren(String children) {
        this.children = children;
    }

    public Boolean getShowfilters() {
        return showfilters;
    }

    public void setShowfilters(Boolean showfilters) {
        this.showfilters = showfilters;
    }

    public String getFilterstype() {
        return filterstype;
    }

    public void setFilterstype(String filterstype) {
        this.filterstype = filterstype;
    }

    public String getFilters() {
        return filters;
    }

    public void setFilters(String filters) {
        this.filters = filters;
    }

    @Override
    public String toString() {
        return "TableHeader{" +
            "tid = " + tid +
            ", name = " + name +
            ", id = " + id +
            ", type = " + type +
            ", label = " + label +
            ", width = " + width +
            ", minwidth = " + minwidth +
            ", prop = " + prop +
            ", align = " + align +
            ", showoverflowtooltip = " + showoverflowtooltip +
            ", sortable = " + sortable +
            ", operations = " + operations +
            ", children = " + children +
            ", showfilters = " + showfilters +
            ", filterstype = " + filterstype +
            ", filters = " + filters +
        "}";
    }
}
